<?php 
/**
 * <b>Inteligente sistema de otimização de recurso pós procesamento</b>
 * Classe Cashed
 * @copyright (c) 2016, Diego Perez Ferreira, Perfect Designer
 */
include("Cache.class.php");

    try{
        $cache  = new Cache();
        
		if($cache->isCache(url)){
        $cache->write(url, file_get_contents(dominio. 'index.php?url='.url.'&create_cache=true'));
        }
       
	    echo $cache->read(url);
         
        }catch(CacheException $e){
        
		echo $e->getMessage();
    }

?>